# Client credentials exchange

OAuth client credentials exchange for access token

Endpoint: POST /v2/credentials/oauth/token
Version: 2.0
Security: TokenAuth

## Request fields (application/json):

  - `clientId` (string, required)
    The client ID
    Example: jhYMYU4opaGhdsXuebOwQXqV0pZcGuph

  - `clientSecret` (string, required)
    The client ID
    Example: zjI4XChsnwMh8wvKQG2tVBLUI4k9JittZQGerUfHv0CiqZZ_5MofAfRQ15pnKY-B

## Response 200:

  - `200` (unknown)
    A successful response.

## Response 200 fields (application/json):

  - `accessToken` (string, required)
    The access token
    Example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImxBMmpQWDd5NWZTR0tMWDFtMkpucyJ9.eyJodHRwczovL3BhbGlzYWRlLmNvIjp7ImRldmljZUlkIjpudWxsLCJvcmdhbml6YXRpb25JZCI6ImNlNDkxOGJmLWExOTktNGNlMi04NWEzLWQwZDI5Njg1NTM…

  - `scope` (string, required)
    The scope
    Example: balances:read:org:id=ce4918bf-a199-4ce2-85a3-d0d296855384:*

  - `expiresIn` (integer, required)
    The expiration time in seconds
    Example: 3600

  - `tokenType` (string, required)
    The token type
    Example: Bearer

## Response 400:

  - `400` (unknown)
    Returned when the request is malformed or invalid.

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 401:

  - `401` (unknown)
    Returned when the request was unauthorized.

## Response 401 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 403:

  - `403` (unknown)
    Returned when the request was forbidden.

## Response 403 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 404:

  - `404` (unknown)
    Returned when the resource does not exist.

## Response 404 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response default:

  - `default` (unknown)
    An unexpected error response.

## Response default fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

